org.apache.fop.render.pdf.pdfbox

## Class PDFCloner

- java.lang.Object
- - org.apache.fop.render.pdf.pdfbox.PDFCloner

-     public class PDFCloner
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `cacheClonedObject(java.lang.Object base, java.lang.Object cloned)`
    `protected java.lang.Object` | `cloneForNewDocument(java.lang.Object base)`
    `protected java.lang.Object` | `cloneForNewDocument(java.lang.Object base, java.lang.Object keyBase)`
    `protected java.lang.Object` | `cloneForNewDocument(java.lang.Object base, java.lang.Object keyBase, java.util.Collection exclude)`
    `protected java.lang.Object` | `readCOSObject(org.apache.pdfbox.cos.COSObject object, java.util.Collection exclude)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### cloneForNewDocument

          protected java.lang.Object cloneForNewDocument(java.lang.Object base)
                                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### cloneForNewDocument

          protected java.lang.Object cloneForNewDocument(java.lang.Object base,
                                                         java.lang.Object keyBase)
                                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### cloneForNewDocument

          protected java.lang.Object cloneForNewDocument(java.lang.Object base,
                                                         java.lang.Object keyBase,
                                                         java.util.Collection exclude)
                                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCOSObject

          protected java.lang.Object readCOSObject(org.apache.pdfbox.cos.COSObject object,
                                                   java.util.Collection exclude)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### cacheClonedObject

          protected java.lang.Object cacheClonedObject(java.lang.Object base,
                                                       java.lang.Object cloned)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2007-2022 The Apache Software Foundation. All Rights Reserved.